Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.giftregistry
Interface PurchasedOrderLine

All Known Implementing Classes:
  PurchasedOrderLineImpl

public interface PurchasedOrderLine
extends OrderLine

A purchased order line is one that records the purchase of some quantity of one of the items on the gift list. It extends the OrderLine and adds a mechanism for recording who purchased the item. Note that the item may not have been purchased on our system, in such case we will require that a customer be created to represent the purchaser. For items that are purchased on this system we will store a reference to the PackingList so that we can retain track it's delivery status. Notes: We will need to track returns and add the items back to the registry as well. Perhaps we should associate a return business policy to the PackingList as a way of registering that some action will need to take place.

                      returned
     [PurchasedOrderLine] <*>------> [Boolean]

                      giver
     [PurchasedOrderLine] <>------> [theory.smart.ebusiness.customer.Customer]

                      packingList
     [PurchasedOrderLine] <>------> [theory.smart.ebusiness.shipping.PackingList]

See Also:
  `PurchasedOrderLineHome`, `PurchasedOrderLineImpl`

Method Summary
`boolean` | `boughtHere()` Return true if the reference to the packinglist is non null.
`Customer` | `getGiver()` Get the remote object reference of giver
`PackingList` | `getPackingList()` Get the remote object reference of packingList
`java.lang.Boolean` | `getReturned()` Get the value of returned
`void` | `setGiver(Customer giver)` Set the remote object reference of giver
`void` | `setPackingList(PackingList packingList)` Set the remote object reference of packingList
`void` | `setReturned(java.lang.Boolean returned)` Set the value of returned

Methods inherited from interface theory.smart.ebusiness.order.OrderLine
`correctPrice, getItem, getItemPrice, getLinePrice, getPrice, getQuantity, lockinPrice, setItem, setPrice, setQuantity`

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getReturned

    public java.lang.Boolean getReturned()

  Get the value of returned
  Returns:
    returned.

### setReturned

    public void setReturned(java.lang.Boolean returned)

  Set the value of returned
  Parameters:
    `returneds` - returned to be added

### getGiver

    public Customer getGiver()
                      throws java.rmi.RemoteException

  Get the remote object reference of giver
  Returns:
    giver.

### setGiver

    public void setGiver(Customer giver)
                  throws java.rmi.RemoteException

  Set the remote object reference of giver
  Parameters:
    `givers` - giver to be added

### getPackingList

    public PackingList getPackingList()
                               throws java.rmi.RemoteException

  Get the remote object reference of packingList
  Returns:
    packingList.

### setPackingList

    public void setPackingList(PackingList packingList)
                        throws java.rmi.RemoteException

  Set the remote object reference of packingList
  Parameters:
    `packingLists` - packingList to be added

### boughtHere

    public boolean boughtHere()
                       throws java.rmi.RemoteException

  Return true if the reference to the packinglist is non null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.